#!/usr/bin/perl

# static char sccsid[] = "@(#)13 1.9 src/ll/config_editor/cgi-bin/editable_table_delete.pl, ll.config, ll_rrnep2, rrnep21206a 9/26/10 16:00:04\n";

use strict;
use lib "/var/www/ll/cgi-bin";
use LLUtil;
use DBI;

my ($db_host, $db_user, $db_pass, $db_db, $db_conn, $db2inst) = get_db_info(0);

my $query = $ENV{QUERY_STRING};
$query = unescape($query);

debug_log($query);

$_ = $query;
#  table=TLLR_CFGVars&pk_name=clusterID-var_name&pk_value=1=aaa
if(/table=(.+)&pk_name=(.+)&pk_value=(.+)/)
{
	my $json_str = "Content-type: text/html\n\n";
	my $table = $1;
	my @pk_names = split('-',$2);
	my @pk_values = split('=',$3);
	my $dbh = get_dbh(0);
	if(!defined($dbh))
	{
		error_and_exit(DBI->errstr);
	}

	my $delete_str = "delete from ".$table." where";
	my $c = scalar(@pk_names);
	for(my $i=0;$i<$c;$i++)
	{
		$delete_str .= " ".$pk_names[$i]."='".$pk_values[$i]."' and";
	}
	$delete_str =~ s/and$//g;
	debug_log($delete_str);
	if(!defined($dbh->do($delete_str)))
	{
		$json_str .= $dbh->errstr;
		print $json_str;		
		exit 1;
	}
	$dbh->disconnect();
	$json_str .= "OK";
	print $json_str;

}

