#!/usr/bin/perl

# static char sccsid[] = "@(#)33 1.10 src/ll/config_editor/cgi-bin/search_keywords.pl, ll.config, ll_rrnep2, rrnep21206a 9/26/10 18:48:55\n";

use strict;
use lib "/var/www/ll/cgi-bin";
use LLUtil;
use DBI;

my ($db_host, $db_user, $db_pass, $db_db, $db_conn, $db2inst) = get_db_info(0);

my $query = $ENV{QUERY_STRING};
$query =~ s/\s+//g;
$query =~ s/(\+)+//g;

$_ = $query;
if(/search_string=(.+)/)
{
	my $json_str_0 = "Content-type: text/html\n\n";
	my $dbh = get_dbh(1);
	if(!defined($dbh))
	{
		error_and_exit($dbh->errstr);
	}
	
	my $search_string = $1;
	my $wildcard = "%";
	my $sql_str;
	my $sth;

	my $json_str = $json_str_0."{";

	# Look for search word in the keywords table
	# DB2 case contortions
	$search_string = uc($search_string);
	$sql_str="select keyword,tableName from TLL_CFGKeywords where UPPER(keyword) like \'".$wildcard.$search_string.$wildcard."\'";
	print("Here is the sql_str:".$sql_str);
	debug_log("Here is the sql_str:".$sql_str);
	$sth=$dbh->prepare($sql_str);
	if(!defined($sth->execute()))
	{
		my $json_str_err = $json_str_0."Error:".$dbh->errstr;
		print $json_str_err;
		exit 1;
	}
	$json_str .= "rows:[";
	while(my $ary_ref = $sth->fetchrow_arrayref)
	{
		$json_str .= "{keyword:'".$ary_ref->[0]."',";
		$json_str .= "tableName:'".$ary_ref->[1]."'},";
	}

	# Then see if search word is a user-defined or LL variable
	$sql_str="select var_name from TLLR_CFGVars where UPPER(var_name) like \'".$wildcard.$search_string.$wildcard."\'";
	print("Here is the new sql_str:".$sql_str);
	debug_log("Here is the new sql_str:".$sql_str);
	$sth=$dbh->prepare($sql_str);
	if(!defined($sth->execute()))
	{
		my $json_str_err = $json_str_0."Error:".$dbh->errstr;
		print $json_str_err;
		exit 1;
	}
	while(my $ary_ref = $sth->fetchrow_arrayref)
	{
		$json_str .= "{keyword:'".$ary_ref->[0]."',";
		$json_str .= "tableName:'TLLR_CFGVars'},";
	}

	$json_str =~ s/,$//g;
	$json_str .= "]}";

	debug_log($json_str);
	print $json_str;
	if(defined($sth)) {$sth->finish();}
	$dbh->disconnect();
}
